View Issue Details

IDProjectCategoryView StatusLast Update
00301652.x IDE BugsGeneralPublic2018-11-16 15:47
ReporterDanAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.1 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030165: General: Release notes pages don't work when viewed using https
DescriptionNot strictly an IDE issue, but adding it here because it's part of the IDE build and release tools...

Our IDE and runtime release notes pages are built using http links, but users are reporting their browsers are starting to insist they use https. However, whilst the main "parent" page will load if you view the URL using https, the actual contents of each version's release notes (the "child pages") are still linked-to via http and will then not embed due to the downgrade of security protocol.

Expected: We change the system the release notes are built with so that all links are made using https. (We need to ensure this applies to existing releases as well as all future ones.)
Steps To Reproduce1. Visit https://gms.yoyogames.com/release-notes-runtime.html or https://gms.yoyogames.com/ReleaseNotes.html
2. Observe the page is missing its core content, as shown in the attached screenshot.
Repro: 100%
TagsNo tags attached.
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.261
2.x IDE Verified In2.2.1.367
2.x Runtime Verified In2.2.1.278

Activities

Dan

2018-11-02 16:03

Adminstrator  

Russell Kay

2018-11-08 10:54

Manager   ~0061975

Fixed on the website

Dan

2018-11-12 11:12

Adminstrator   ~0062006

Will be in IDE 367+